> For the complete documentation index, see [llms.txt](https://docs.omnidesk.io/omnidesk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnidesk.io/omnidesk/api/authentication.md).

# Authentication

In your omnidesk application a key can be created to which certain permissions will be granted. You could for instance assign customer creation and deletion to a key. Most permissions are devided in two categories: READ permissions and CUD (create update delete) permissions for a given endpoint. Once you have created a key and given it permissions you will be able to authenticate with it by sending ?apiKey=\[\[ your key ]] in the API url.

{% hint style="info" %}
An example would be: <https://account.omnidesk.com/api/v2/customer?apiKey=14fasf35435sdgsdgksjh235>. Since this is a GET request for the customer endpoint it will list all customers, limited by paging.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omnidesk.io/omnidesk/api/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
